/*
 *  Copyright 2008-2009 Olivier PARISOT
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.doopyon.musaterm.client;

import com.google.gwt.core.client.*;
import com.google.gwt.user.client.*;
import com.google.gwt.user.client.ui.*;


/**
 * Entry point classes define <code>onModuleLoad()</code>.
 *
 * @author Olivier PARISOT
 */
public class Application implements EntryPoint 
{		
	//
	// Instance methods
	//
	
	/**
	 * {@inheritDoc}
	 */
	public void onModuleLoad() 
	{	
		/* remove loading message ... */
		DOM.setInnerHTML(RootPanel.get("Loading-Message").getElement(),"");
		/* ... and launch main panel! */
		new GWTTerminalController(RootPanel.get("Application-Panel")).init();
	}

}
